#205 closed enhancement (fixed)

move utsname out of exec/posix

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: lowest Milestone: 2
Component: score Version: unknown
Severity: minor Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

utsname currently is part of exec/posix. This function however does not apply nor provide any pthread-functionality.

Therefore utsname can be considered to be made part of libcsupport instead of libposix and thereby used as an rtems-internal API to retrieve os-related information.

Alternatively, an RTEMS internal API can be implemented which then could be applied inside of utsname().

Doing so opens opportunities to simplify RTEMS's cpu.hs and reduces other file dependencies in RTEMS:

Release:
CVS

Attachments (1)

rtems-rc-20020503-1+3.tar.bz2 (3.2 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
rtems-rc-20020503-1+3.tar.bz2

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 2, 2002 at 12:36:43 PM by Ralf Corsepius

Owner: changed from joel to ralf

comment:2 Changed on May 14, 2002 at 5:46:57 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Patch applied. Magic with CVS repository, please doublecheck. :)

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

rtems-rc-20020503-1+3.tar.bz2

Note: See TracTickets for help on using tickets.